org.jgroups.protocols

## Class STOMP.Connection

- java.lang.Object
- - org.jgroups.protocols.STOMP.Connection

- All Implemented Interfaces:
    java.lang.Runnable
  Enclosing class:
    STOMP

      public class STOMP.Connection
      extends java.lang.Object
      implements java.lang.Runnable

  Class which handles a connection to a client

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.io.DataInputStream` | `in`
    `protected java.io.DataOutputStream` | `out`
    `protected UUID` | `session_id`
    `protected java.net.Socket` | `sock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STOMP.Connection(java.net.Socket sock)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `handleFrame(STOMP.Frame frame)`
    `protected void` | `remove()`
    `void` | `run()`
    `void` | `sendInfo()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sock

          protected final java.net.Socket sock

    - #### in

          protected final java.io.DataInputStream in

    - #### out

          protected final java.io.DataOutputStream out

    - #### session_id

          protected final UUID session_id

  - ### Constructor Detail

    - #### STOMP.Connection

          public STOMP.Connection(java.net.Socket sock)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### stop

          public void stop()

    - #### remove

          protected void remove()

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### handleFrame

          protected void handleFrame(STOMP.Frame frame)

    - #### sendInfo

          public void sendInfo()

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.